apiVersion: kafka.strimzi.io/v1beta2
kind: KafkaTopic
metadata:
  labels:
    strimzi.io/cluster: pensando-cluster
  name: topic.pensando.lago.fwlog
spec:
  config:
    retention.ms: 7200000
    compression.type: producer
  partitions: 9
  {{ if ge .Values.kafka.replicas ( 3 | float64) }}
  replicas: 3
  {{ else }}
  replicas: 1
  {{ end }}
  topicName: topic.pensando.lago.fwlog
